LUCSS< STANDARD, H > Struct Template Reference

LUC signature scheme with appendix. More...

`#include <luc.h>`

Inheritance diagram for LUCSS< STANDARD, H >:

## Additional Inherited Members

Public Types inherited from TF_SS< LUC, STANDARD, H >
typedef STANDARD | Standard
| see SignatureStandard for a list of standards
typedef Standard::SignatureMessageEncodingMethod | MessageEncodingMethod
typedef TF_SignatureSchemeOptions< TF_SS< LUC, STANDARD, H, int >, LUC, MessageEncodingMethod, H > | SchemeOptions
typedef PK_FinalTemplate< TF_SignerImpl< SchemeOptions > > | Signer
| implements PK_Signer interface
typedef PK_FinalTemplate< TF_VerifierImpl< SchemeOptions > > | Verifier
| implements PK_Verifier interface
Public Types inherited from LUC
typedef LUCFunction | PublicKey
typedef InvertibleLUCFunction | PrivateKey
Static Public Member Functions inherited from TF_SS< LUC, STANDARD, H >
static std::string | StaticAlgorithmName ()
Static Public Member Functions inherited from LUC
static std::string | StaticAlgorithmName ()

## Detailed Description

template<class STANDARD, class H>
struct LUCSS< STANDARD, H >

LUC signature scheme with appendix.

Template Parameters

  STANDARD | signature standard
  H | hash transformation

This class is here for historical and pedagogical interest. It has no practical advantages over other trapdoor functions and probably shouldn't be used in production software. The discrete log based LUC schemes defined later in this .h file may be of more practical interest.

Since
  Crypto++ 2.1

Definition at line 157 of file luc.h.

The documentation for this struct was generated from the following file:

- luc.h